Bug 173181 - Review Request: buoh
Review Request: buoh
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
David Lawrence
http://buoh.steve-o.org/
:
: 173180 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-14 14:51 EST by Chris Chabot
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-27 13:45:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Chabot 2005-11-14 14:51:45 EST
Spec Url: http://www.xs4all.nl/~chabotc/buoh.spec
SRPM Url: http://www.xs4all.nl/~chabotc/buoh-0.8-1.src.rpm

Description: 

Buoh is a reader for online strips comics. It has a number of features,
including: Selecting your favorites comic through a list of more than 130
comics, easy & simple an eye-candy view of an online comic, browsing over
the comic strip archives.
Comment 1 Dave Jones 2005-11-14 14:54:08 EST
*** Bug 173180 has been marked as a duplicate of this bug. ***
Comment 2 Chris Chabot 2005-11-14 15:13:30 EST
Forgot to mention these are my first packages, and i am seeking a sponsor. Other
'first' package submited for review request is in bug #173181
Comment 3 Chris Chabot 2005-11-14 15:15:42 EST
*scratches head, makes coffee* make that bug #173182 for the other package. Hmm
hope this little incident doesn't turn away any potential sponsors :-)
Comment 4 Chris Chabot 2005-11-15 03:13:23 EST
Release 2:

Changed "%makeinstall" into "make install DESTDIR=$RPM_BUILD_ROOT", was a bug in
the makefiles that caused make install to install buoh's icons and xml files in
(absolute) /usr/share/..., and not in its the build root.

New URLS:
Spec: http://www.xs4all.nl/~chabotc/buoh.spec
SRPM: http://www.xs4all.nl/~chabotc/buoh-0.8-2.src.rpm

Comment 5 Chris Chabot 2005-11-15 03:45:42 EST
rpmlint now comes back without any warnings or errors and mock also builds it
cleanly, nice tool btw :-)
Comment 6 Wart 2005-12-21 11:26:32 EST
Just a couple of comments:

The line
rm -rf $RPM_BUILD_ROOT
should be at the start of %install, not at the end of %prep.

The line
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
shouldn't be necessary since each rpm section executes in a separate shell
script.  Env. variables set in one section aren't preserved in the next.

I notice that it requires gtk-2.7.  This is newer than the gtk-2.6.10 provided
by FC-4.  Do you plan to package this for FC-4, or just devel?
Comment 7 Chris Chabot 2005-12-23 09:02:44 EST
Thanks for the comments. Yep this will be devel/fc5 only, the gtk 2.7 is a hard
requirement by the upstream package, so no easy way around it.

Release 3:
* Fri Dec 23 2005 - Chris Chabot <chabotc@xs4all.nl> - 0.8-3                   
                         
- Moved "rm -rf $RPM_BUILD_ROOT" from prep to install                          
                         
- Removed "unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL" since                  
                         
  this shouldn't be required (it has its own shell env)      

URLS:
Spec: http://www.xs4all.nl/~chabotc/buoh.spec
SRPM: http://www.xs4all.nl/~chabotc/buoh-0.8-3.src.rpm
Comment 8 Chris Chabot 2005-12-23 13:51:23 EST
Updated to 0.8.1

* Fri Dec 23 2005 - Chris Chabot <chabotc@xs4all.nl> - 0.8.1-1
- Updated to upstream 0.8.1
- Upstream changed required gtk+ version to 2.6 (from 2.7)

URLS:
Spec: http://www.xs4all.nl/~chabotc/buoh.spec
SRPM: http://www.xs4all.nl/~chabotc/buoh-0.8.1-1.src.rpm

Builds, mocks and rpmlint's cleanly
Comment 9 Michael Schwendt 2005-12-25 11:18:51 EST
* Fails to build here (FC4):

RPM build errors:
    File not found: /home/qa/tmp/rpm/tmp/buoh-0.8.1-1-root-qa/usr/share/buoh
    File not found: /home/qa/tmp/rpm/tmp/buoh-0.8.1-1-root-qa/usr/share/buoh/comics
    File not found: /home/qa/tmp/rpm/tmp/buoh-0.8.1-1-root-qa/usr/share/buoh/ui
    File not found:
/home/qa/tmp/rpm/tmp/buoh-0.8.1-1-root-qa/usr/share/buoh/comics/comics.xml
    File not found by glob:
/home/qa/tmp/rpm/tmp/buoh-0.8.1-1-root-qa/usr/share/buoh/pixmaps/buoh*.png
    File not found:
/home/qa/tmp/rpm/tmp/buoh-0.8.1-1-root-qa/usr/share/buoh/ui/buoh-ui.xml

Examining the buildroot, it installed into /usr/buoh instead of /usr/share/buoh.

* Remove the hardcoded list of "Requires", because in this case all of
them ought to be left to RPM's automatic SONAME dependencies.

To verify, run "rpm --query buoh-0.8.1-1.i386.rpm" and notice dependencies
like libgconf-2.so.4, libgtk-x11-2.0.so.0, libsoup-2.2.so.7, libgnomeui-2.so.0.
Package tools know in which RPM packages to find those library names.

* Missing %postun scriptlet, which runs ldconfig and which uninstalls
the GConf schema files with --makefile-uninstall-rule.

* Missing  "Requires(post): /sbin/ldconfig GConf2" and "Requires(postun):
/sbin/ldconfig GConf2", particularly since /usr/bin/gconftool-2 must
still be installed before the package would be uninstalled.
Comment 10 Chris Chabot 2005-12-26 10:03:23 EST
Added gconf install and uninstall rules to post, postrun and prerun as per:
http://fedoraproject.org/wiki/ScriptletSnippets

Also removed the hard requires list.

However i've not been able to repreduce the build error, here it installs
cleanly to the correct RPM_BUILD_ROOT/usr/share/buoh and not .../usr/buoh, the
"make install DESTDIR=RPM_BUILD_ROOT" should place them in the right location,
using the %makeinstall macro, or adding datadir=RPM_BUILD_ROOT/usr/share either
makes it install on absolute locations (/usr/share, /usr/bin, etc) or use
RPM_BUILD_ROOT/RPM_BUILD_ROOT/usr/share/buoh.

Could you possibly try to build it again? Meantime i'll look into setting up a
FC4 boot on this computer so i can reproduce the error; My current building is
on a FC-devel box

%changelog                                                                     
                         
* Mon Dec 26 2005 - Chris Chabot <chabotc@xs4all.nl> - 0.8.1-2                 
                         
- Added gconf uninstall rules on upgrade and uninstall                         
                         
- Commented out hard requirements, leaving them to rpm's autodep

URLS:
http://www.xs4all.nl/~chabotc/buoh.spec
http://www.xs4all.nl/~chabotc/buoh-0.8.1-2.src.rpm

Thanks for the feedback & reviewing!
Comment 11 Chris Chabot 2005-12-26 15:54:42 EST
Installed FC4 in a Xen guest domain (was planning to play with anyhow :-)) and
build the latest buoh release, worked flawlessly!

sh-3.00# rpm -qpl  /usr/src/redhat/RPMS/i386/buoh-0.8.1-2.i386.rpm
/etc/gconf/schemas/buoh.schemas
/usr/bin/buoh
/usr/share/applications/buoh.desktop
/usr/share/buoh
/usr/share/buoh/comics
/usr/share/buoh/comics/comics.xml
/usr/share/buoh/pixmaps/buoh16x16.png
/usr/share/buoh/pixmaps/buoh64x64.png
/usr/share/buoh/ui
/usr/share/buoh/ui/buoh-ui.xml
/usr/share/doc/buoh-0.8.1
/usr/share/doc/buoh-0.8.1/AUTHORS
/usr/share/doc/buoh-0.8.1/COPYING
/usr/share/doc/buoh-0.8.1/INSTALL
/usr/share/doc/buoh-0.8.1/NEWS
/usr/share/doc/buoh-0.8.1/README
/usr/share/doc/buoh-0.8.1/TODO

sh-3.00# rpm -q fedora-release
fedora-release-4-2

So to verity it was not a root user build vs user account build problem i've
also setup a user build envirioment and tested, with same result:

[chabotc@cch-laptop ~]$ cat .rpmmacros 
%_topdir        /home/chabotc

[chabotc@cch-laptop ~]$ rpm -qpl RPMS/i386/buoh-0.8.1-2.i386.rpm 
/etc/gconf/schemas/buoh.schemas
/usr/bin/buoh
/usr/share/applications/buoh.desktop
/usr/share/buoh
/usr/share/buoh/comics
/usr/share/buoh/comics/comics.xml
/usr/share/buoh/pixmaps/buoh16x16.png
/usr/share/buoh/pixmaps/buoh64x64.png
/usr/share/buoh/ui
/usr/share/buoh/ui/buoh-ui.xml
/usr/share/doc/buoh-0.8.1
/usr/share/doc/buoh-0.8.1/AUTHORS
/usr/share/doc/buoh-0.8.1/COPYING
/usr/share/doc/buoh-0.8.1/INSTALL
/usr/share/doc/buoh-0.8.1/NEWS
/usr/share/doc/buoh-0.8.1/README
/usr/share/doc/buoh-0.8.1/TODO

So as far as i've been able to verify, it builds cleanly on FC4 now too
Comment 12 Michael Schwendt 2005-12-27 07:40:21 EST
Okay. Looked into it. When "gettext" is not installed, the configure
script defines $DATADIRNAME as empty instead of "share". I believe
gettext is in mock's default build environment, but I would suggest
adding it nevertheless as a build requirement.

Remaining issues:

 * No desktop menu icon. It's installed into a private directory
  (/usr/share/buoh/pixmaps) which is not searched in by the desktop
  environment.

 * .desktop file ought to be installed with desktop-file-install 
  (BuildRequires: desktop-file-utils) and
  - should include category "X-Fedora"
  - Terminal=false instead of Terminal=0 according to freedesktop standard
    (run desktop-file-validate on the file to see)

Run-time observation:

 * Menu "Help > Contents" doesn't do anything.


Else it seems to work. You may fix the desktop menu issues
within Fedora Extras CVS.

APPROVED
Comment 13 Chris Chabot 2005-12-27 13:45:08 EST
Added perl, perl-XML-Parser (could fail on configure if missing) and desktop
file utils to build requires, also to fixup the missing icons and desktop file
added the following to the spec file in %install:

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps                                    
                               
/usr/bin/install -m 644 $RPM_BUILD_ROOT%{_datadir}/buoh/pixmaps/buoh*.png
$RPM_BUILD_ROOT%{_datadir}/pixmaps/  
                                                                               
                               
perl -pi -e "s,Terminal=0,Terminal=false,g"
$RPM_BUILD_ROOT%{_datadir}/applications/buoh.desktop               
desktop-file-install --delete-original          \                              
                               
  --vendor=gnome                                \                              
                               
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \                              
                               
  --add-category X-Fedora                       \                              
                               
  $RPM_BUILD_ROOT%{_datadir}/applications/buoh.desktop 

Thanks for the Approved & sponsorship, i'll add it to FC extra's now!
Comment 14 Michael Schwendt 2005-12-27 17:34:15 EST
We use namespace "fedora", so --vendor=fedora

Note You need to log in before you can comment on or make changes to this bug.